[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFC: Adding "Pre-Depends: libtinfo5" to libncurses5

On 2011-09-06 22:45 +0200, Clint Adams wrote:

> On Mon, Sep 05, 2011 at 07:17:05PM +0200, Sven Joachim wrote:
>> To rule out this possibility, I would like to add an unversioned
>> "Pre-Depends: libtinfo5" to libncurses5.  In my tests, apt did install
>> libtinfo5 before unpacking the replacement libncurses5 anyway, so this
>> is mostly meant as a safety guard against an unlikely situation.  I do
>> not expect any upgrade problems to arise from that Pre-Dependency.
> What about rolling this together with a soname bump that also
> consolidates libncurses and libncursesw into a single wide-only
> library, thereby making the Pre-Depends unnecessary?

I would love to do that, but since ncurses does not provide versioned
symbols and we have rather many libraries linking against libncurses5,
it does not seem to be possible.  See the thread starting at

Note that in any case libncurses5 has to be kept for LSB compatibility.


Reply to: